Package org.apache.iotdb.jdbc

# Class IoTDBDatabaseMetadata

java.lang.Object
org.apache.iotdb.jdbc.IoTDBAbstractDatabaseMetadata
org.apache.iotdb.jdbc.IoTDBDatabaseMetadata

All Implemented Interfaces:
  `DatabaseMetaData`, `Wrapper`

public class IoTDBDatabaseMetadata extends IoTDBAbstractDatabaseMetadata

## Field Summary

### Fields inherited from class org.apache.iotdb.jdbc.IoTDBAbstractDatabaseMetadata

`BLOB, BOOLEAN, BUFFER_LENGTH, CHAR_OCTET_LENGTH, client, COLUMN_DEF, COLUMN_NAME, COLUMN_SIZE, connection, CONVERT_ERROR_MSG, DATA_TYPE, DATE, DECIMAL_DIGITS, DOUBLE, FLOAT, INT32, INT64, IS_AUTOINCREMENT, IS_GENERATEDCOLUMN, IS_NULLABLE, KEY_SEQ, NULLABLE, NUM_PREC_RADIX, ORDINAL_POSITION, PK_NAME, PRECISION, PRIMARY, REMARKS, SCOPE_CATALOG, SCOPE_SCHEMA, SCOPE_TABLE, sessionId, SHOW_DATABASES_SQL, SOURCE_DATA_TYPE, SQL_DATA_TYPE, SQL_DATETIME_SUB, sql92Keywords, sqlKeywordsThatArentSQL92, STRING, TABLE_CAT, TABLE_NAME, TABLE_SCHEM, TABLE_TYPE, TIMESTAMP, TYPE_CAT, TYPE_NAME, TYPE_SCHEM, zoneId`

### Fields inherited from interface java.sql.DatabaseMetaData

`attributeNoNulls, attributeNullable, attributeNullableUnknown, bestRowNotPseudo, bestRowPseudo, bestRowSession, bestRowTemporary, bestRowTransaction, bestRowUnknown, columnNoNulls, columnNullable, columnNullableUnknown, functionColumnIn, functionColumnInOut, functionColumnOut, functionColumnResult, functionColumnUnknown, functionNoNulls, functionNoTable, functionNullable, functionNullableUnknown, functionResultUnknown, functionReturn, functionReturnsTable, importedKeyCascade, importedKeyInitiallyDeferred, importedKeyInitiallyImmediate, importedKeyNoAction, importedKeyNotDeferrable, importedKeyRestrict, importedKeySetDefault, importedKeySetNull, procedureColumnIn, procedureColumnInOut, procedureColumnOut, procedureColumnResult, procedureColumnReturn, procedureColumnUnknown, procedureNoNulls, procedureNoResult, procedureNullable, procedureNullableUnknown, procedureResultUnknown, procedureReturnsResult, sqlStateSQL, sqlStateSQL99, sqlStateXOpen, tableIndexClustered, tableIndexHashed, tableIndexOther, tableIndexStatistic, typeNoNulls, typeNullable, typeNullableUnknown, typePredBasic, typePredChar, typePredNone, typeSearchable, versionColumnNotPseudo, versionColumnPseudo, versionColumnUnknown`

## Constructor Summary

Constructors
Constructor
Description
`IoTDBDatabaseMetadata(IoTDBConnection connection, IClientRPCService.Iface client, long sessionId, ZoneId zoneId)`

## Method Summary

Modifier and Type
Method
Description
`ResultSet`
`getColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)`
`String`
`getDriverVersion()`
`String`
`getIdentifierQuoteString()`
`String`
`getMetadataInJson()`
`String`
`getNumericFunctions()`
`ResultSet`
`getPrimaryKeys(String catalog, String schema, String table)`
`String`
`getSchemaTerm()`
`ResultSet`
`getTables(String catalog, String schemaPattern, String tableNamePattern, String[] types)`
`String`
`getTimeDateFunctions()`
`boolean`
`supportsSchemasInDataManipulation()`
`String`
`toString()`
Deprecated.
recommend using getMetadataInJson() instead of toString()

### Methods inherited from class org.apache.iotdb.jdbc.IoTDBAbstractDatabaseMetadata

`allProceduresAreCallable, allTablesAreSelectable, autoCommitFailureClosesAllResultSets, close, convertTsBlock, dataDefinitionCausesTransactionCommit, dataDefinitionIgnoredInTransactions, deletesAreDetected, doesMaxRowSizeIncludeBlobs, generatedKeyAlwaysReturned, getAttributes, getBestRowIdentifier, getCatalogs, getCatalogSeparator, getCatalogTerm, getClientInfoProperties, getColumnPrivileges, getConnection, getCrossReference, getDatabaseMajorVersion, getDatabaseMinorVersion, getDatabaseProductName, getDatabaseProductVersion, getDefaultTransactionIsolation, getDriverMajorVersion, getDriverMinorVersion, getDriverName, getExportedKeys, getExtraNameCharacters, getFunctionColumns, getFunctions, getImportedKeys, getIndexInfo, getJDBCMajorVersion, getJDBCMinorVersion, getMaxBinaryLiteralLength, getMaxCatalogNameLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxProcedureNameLength, getMaxRowSize, getMaxSchemaNameLength, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength, getProcedureColumns, getProcedures, getProcedureTerm, getPseudoColumns, getResultSetHoldability, getRowIdLifetime, getSchemas, getSchemas, getSearchStringEscape, getSQLKeywords, getSQLStateType, getSQLType, getStringFunctions, getSuperTables, getSuperTypes, getSystemFunctions, getTablePrivileges, getTableTypes, getTypeInfo, getTypePrecision, getTypeScale, getUDTs, getURL, getUserName, getVersionColumns, insertsAreDetected, isCatalogAtStart, isReadOnly, isWrapperFor, locatorsUpdateCopy, nullPlusNonNullIsNull, nullsAreSortedAtEnd, nullsAreSortedAtStart, nullsAreSortedHigh, nullsAreSortedLow, othersDeletesAreVisible, othersInsertsAreVisible, othersUpdatesAreVisible, ownDeletesAreVisible, ownInsertsAreVisible, ownUpdatesAreVisible, storesLowerCaseIdentifiers, storesLowerCaseQuotedIdentifiers, storesMixedCaseIdentifiers, storesMixedCaseQuotedIdentifiers, storesUpperCaseIdentifiers, storesUpperCaseQuotedIdentifiers, supportsAlterTableWithAddColumn, supportsAlterTableWithDropColumn, supportsANSI92EntryLevelSQL, supportsANSI92FullSQL, supportsANSI92IntermediateSQL, supportsBatchUpdates, supportsCatalogsInDataManipulation, supportsCatalogsInIndexDefinitions, supportsCatalogsInPrivilegeDefinitions, supportsCatalogsInProcedureCalls, supportsCatalogsInTableDefinitions, supportsColumnAliasing, supportsConvert, supportsConvert, supportsCoreSQLGrammar, supportsCorrelatedSubqueries, supportsDataDefinitionAndDataManipulationTransactions, supportsDataManipulationTransactionsOnly, supportsDifferentTableCorrelationNames, supportsExpressionsInOrderBy, supportsExtendedSQLGrammar, supportsFullOuterJoins, supportsGetGeneratedKeys, supportsGroupBy, supportsGroupByBeyondSelect, supportsGroupByUnrelated, supportsIntegrityEnhancementFacility, supportsLikeEscapeClause, supportsLimitedOuterJoins, supportsMinimumSQLGrammar, supportsMixedCaseIdentifiers, supportsMixedCaseQuotedIdentifiers, supportsMultipleOpenResults, supportsMultipleResultSets, supportsMultipleTransactions, supportsNamedParameters, supportsNonNullableColumns, supportsOpenCursorsAcrossCommit, supportsOpenCursorsAcrossRollback, supportsOpenStatementsAcrossCommit, supportsOpenStatementsAcrossRollback, supportsOrderByUnrelated, supportsOuterJoins, supportsPositionedDelete, supportsPositionedUpdate, supportsResultSetConcurrency, supportsResultSetHoldability, supportsResultSetType, supportsSavepoints, supportsSchemasInIndexDefinitions, supportsSchemasInPrivilegeDefinitions, supportsSchemasInProcedureCalls, supportsSchemasInTableDefinitions, supportsSelectForUpdate, supportsStatementPooling, supportsStoredFunctionsUsingCallSyntax, supportsStoredProcedures, supportsSubqueriesInComparisons, supportsSubqueriesInExists, supportsSubqueriesInIns, supportsSubqueriesInQuantifieds, supportsTableCorrelationNames, supportsTransactionIsolationLevel, supportsTransactions, supportsUnion, supportsUnionAll, unwrap, updatesAreDetected, usesLocalFilePerTable, usesLocalFiles`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.DatabaseMetaData

`getMaxLogicalLobSize, supportsRefCursors`

## Constructor Details

### IoTDBDatabaseMetadata

public IoTDBDatabaseMetadata(IoTDBConnection connection, IClientRPCService.Iface client, long sessionId, ZoneId zoneId)

## Method Details

### getDriverVersion

public String getDriverVersion() throws SQLException

Specified by:
  `getDriverVersion` in interface `DatabaseMetaData`
Specified by:
  `getDriverVersion` in class `IoTDBAbstractDatabaseMetadata`
Throws:
  `SQLException`

### getNumericFunctions

public String getNumericFunctions() throws SQLException

Specified by:
  `getNumericFunctions` in interface `DatabaseMetaData`
Specified by:
  `getNumericFunctions` in class `IoTDBAbstractDatabaseMetadata`
Throws:
  `SQLException`

### getTimeDateFunctions

public String getTimeDateFunctions() throws SQLException

Specified by:
  `getTimeDateFunctions` in interface `DatabaseMetaData`
Specified by:
  `getTimeDateFunctions` in class `IoTDBAbstractDatabaseMetadata`
Throws:
  `SQLException`

### getTables

public ResultSet getTables(String catalog, String schemaPattern, String tableNamePattern, String[] types) throws SQLException

Specified by:
  `getTables` in interface `DatabaseMetaData`
Specified by:
  `getTables` in class `IoTDBAbstractDatabaseMetadata`
Throws:
  `SQLException`

### getColumns

public ResultSet getColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern) throws SQLException

Specified by:
  `getColumns` in interface `DatabaseMetaData`
Specified by:
  `getColumns` in class `IoTDBAbstractDatabaseMetadata`
Throws:
  `SQLException`

### getPrimaryKeys

public ResultSet getPrimaryKeys(String catalog, String schema, String table) throws SQLException

Specified by:
  `getPrimaryKeys` in interface `DatabaseMetaData`
Specified by:
  `getPrimaryKeys` in class `IoTDBAbstractDatabaseMetadata`
Throws:
  `SQLException`

### supportsSchemasInDataManipulation

public boolean supportsSchemasInDataManipulation() throws SQLException

Specified by:
  `supportsSchemasInDataManipulation` in interface `DatabaseMetaData`
Specified by:
  `supportsSchemasInDataManipulation` in class `IoTDBAbstractDatabaseMetadata`
Throws:
  `SQLException`

### getIdentifierQuoteString

public String getIdentifierQuoteString() throws SQLException

Specified by:
  `getIdentifierQuoteString` in interface `DatabaseMetaData`
Specified by:
  `getIdentifierQuoteString` in class `IoTDBAbstractDatabaseMetadata`
Throws:
  `SQLException`

### getSchemaTerm

public String getSchemaTerm() throws SQLException

Specified by:
  `getSchemaTerm` in interface `DatabaseMetaData`
Specified by:
  `getSchemaTerm` in class `IoTDBAbstractDatabaseMetadata`
Throws:
  `SQLException`

### toString

@Deprecated public String toString()
Deprecated.
recommend using getMetadataInJson() instead of toString()

Overrides:
  `toString` in class `Object`

### getMetadataInJson

public String getMetadataInJson() throws SQLException

Throws:
  `SQLException`